//**********************************************************************************************************\
//
//	main.c:	Application entry point
//
//**********************************************************************************************************/

#include "project.h"



int main (int argc, char **argv)
{
	char		currentWorkingDirectory[MAX_PATH_IS_1024];
	int			numFolders, numFiles;
	text1024_t*	folderNames = NULL, * fileNames   = NULL;
	int			i;

	commandLineArgumentsCount = argc;
	commandLineArguments = argv;
	printDateAndTime ();
	if ( System_GetCurrentWorkingDirectory (currentWorkingDirectory, True) == 0) 		return 1; // Error
	// Get folders list.  Get file list.
	folderNames = FolderMatch_Populate_Alloc (currentWorkingDirectory, "*", &numFolders);
	fileNames	= FileMatch_Populate_Alloc   (currentWorkingDirectory, "*.tga", &numFiles);
	
	///////////////////////////////////////////////////////////////////////////////////
	// BEGIN
	///////////////////////////////////////////////////////////////////////////////////

	// Pre-reject
	do
	{
		char tempName[MAX_PATH_IS_1024];
		
		for (i = 0; i < numFiles; i ++)
		{
			imageRGBA_t _myImage;
			imageRGBA_t* myImage = &_myImage;
			
			Image_Import_FileX (myImage, fileNames[i].text);

			StringLCopy (tempName, fileNames[i].text);
			String_Edit_StripExtension (tempName);
			String_Edit_Append_To_Name (tempName, "_copy.tga");

			Image_Export_TGA_File_With_Header (myImage, tempName, "frogs", 6);

			Image_Destroy (myImage);
		}
	} while (0);

	///////////////////////////////////////////////////////////////////////////////////
	// END
	///////////////////////////////////////////////////////////////////////////////////

	Enter_To_Exit_DebugOnly ();

	return 0; // 0 = success of application
}