//**********************************************************************************************************\
//
//	strings.c:	String functions, etc.
//
//**********************************************************************************************************/

#include "project.h"

void String_Edit_SlashesForward_Like_Unix (char *WindowsStylePath)
{
	size_t	i;
	// Translate "\" to "/"
	for (i = 0 ; i < strlen(WindowsStylePath) ; i ++)
		if (WindowsStylePath[i] == '\\')
			WindowsStylePath[i] = '/';
}

void String_Edit_StripExtension (char* myEditString)
{
	size_t cursor = strlen(myEditString) - 1;
	for ( ; cursor > 0; cursor --)
        if (myEditString[cursor] == '.')
        {
            myEditString[cursor] = 0; // NULL terminate there
            break;
        }
}

char* String_Edit_Append_To_Name (char* filename, const char* appendToName) 
{
	char	tempbuffer[MAX_PATH_IS_1024];			// We need this for string work
	char*	extension = strrchr (filename, '.');	// Locate extension (NULL if none)

	StringLCopy	(tempbuffer, filename);
	
	if (extension)	String_Edit_StripExtension	(tempbuffer);
					StringLCat					(tempbuffer,appendToName);
	if (extension)	StringLCat					(tempbuffer, extension); // Tack the extension back on

	// Move the modified string back into the filename, this is a String_Edit function you know ...
	strcpy	(filename, tempbuffer); // Can't StringLCopy, length of filename is "unknown" here

	return filename;
}




int File_HasDotExtension (const char *filename, const char *extension)
{
	// Check to ensure strlen is equal or exceeds strlen extension
	if (strlen(filename) < strlen(extension))	// This allows for stupid "situations like filename is '.dem'
		return 0;

	// Now check for match
	//                       Go to end of the file and move back length of extension vs. extension
	if (StringMatchCaseless (filename + strlen(filename) - strlen(extension), extension))
		return 1; // Match!

	// No Match
	return 0;
}


char* String_SkipPath (const char *pathName)
{
	char*	lastSlash = strrchr(pathName, '/');

	if (lastSlash == NULL) return (char*)pathName; // No slash found, return whole file name

	return lastSlash + 1; // Return first character after the slash
}


